Package docking.widgets.fieldpanel

# Class LayoutModelIterator

java.lang.Object
docking.widgets.fieldpanel.LayoutModelIterator

All Implemented Interfaces:
  `Iterator<Layout>`

public class LayoutModelIterator extends Object implements Iterator<Layout>
An `Iterator` returning `Layout` objects that hides the details of using `LayoutModel`'s indexing methods.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LayoutModelIterator(LayoutModel layoutModel)`
  `LayoutModelIterator(LayoutModel layoutModel, BigInteger startIndex)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BigInteger`
  `getIndex()`
  Returns the LayoutModel index of the item that was just returned via `next()`.
  `BigInteger`
  `getNextIndex()`
  Returns the LayoutModel index of the next item that will be returned via `next()`.
  `BigInteger`
  `getPreviousIndex()`
  Returns the LayoutModel index of the previous item that was returned via `next()`.
  `boolean`
  `hasNext()`
  `Layout`
  `next()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.Iterator

  `forEachRemaining, remove`

- ## Constructor Details

  - ### LayoutModelIterator

    public LayoutModelIterator(LayoutModel layoutModel)

  - ### LayoutModelIterator

    public LayoutModelIterator(LayoutModel layoutModel, BigInteger startIndex)

- ## Method Details

  - ### getIndex

    public BigInteger getIndex()
    Returns the LayoutModel index of the item that was just returned via `next()`.
    Returns:
      index of the last Layout item returned.

  - ### getNextIndex

    public BigInteger getNextIndex()
    Returns the LayoutModel index of the next item that will be returned via `next()`.
    Returns:
      index of the next Layout item returned, or null if no additional items are present

  - ### getPreviousIndex

    public BigInteger getPreviousIndex()
    Returns the LayoutModel index of the previous item that was returned via `next()`.
    Returns:
      index of the previous Layout item returned, or null if this iterator hasn't been used yet.

  - ### hasNext

    public boolean hasNext()
    Specified by:
      `hasNext` in interface `Iterator<Layout>`

  - ### next

    public Layout next()
    Specified by:
      `next` in interface `Iterator<Layout>`